Skip to content
Start here

Get Event

client.magicTransit.connectors.events.get(stringconnectorId, numbereventT, numbereventN, EventGetParams { account_id } params, RequestOptionsoptions?): EventGetResponse { e, n, t, v }
GET/accounts/{account_id}/magic/connectors/{connector_id}/telemetry/events/{event_t}.{event_n}

Get Event

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN Read
ParametersExpand Collapse
connectorId: string
eventT: number
eventN: number
params: EventGetParams { account_id }
account_id: string

Account identifier

maxLength32
ReturnsExpand Collapse
EventGetResponse { e, n, t, v }

Recorded Event

e: Init { k } | Leave { k } | StartAttestation { k } | 13 more
One of the following:
Init { k }
k: "Init"

Initialized process

Leave { k }
k: "Leave"

Stopped process

StartAttestation { k }
k: "StartAttestation"

Started attestation

FinishAttestationSuccess { k }
k: "FinishAttestationSuccess"

Finished attestation

FinishAttestationFailure { k }
k: "FinishAttestationFailure"

Failed attestation

StartRotateCryptKey { k }
k: "StartRotateCryptKey"

Started crypt key rotation

FinishRotateCryptKeySuccess { k }
k: "FinishRotateCryptKeySuccess"

Finished crypt key rotation

FinishRotateCryptKeyFailure { k }
k: "FinishRotateCryptKeyFailure"

Failed crypt key rotation

StartRotatePki { k }
k: "StartRotatePki"

Started PKI rotation

FinishRotatePkiSuccess { k }
k: "FinishRotatePkiSuccess"

Finished PKI rotation

FinishRotatePkiFailure { k }
k: "FinishRotatePkiFailure"

Failed PKI rotation

StartUpgrade { k, url }
k: "StartUpgrade"

Started upgrade

url: string

Location of upgrade bundle

FinishUpgradeSuccess { k }
k: "FinishUpgradeSuccess"

Finished upgrade

FinishUpgradeFailure { k }
k: "FinishUpgradeFailure"

Failed upgrade

Reconcile { k }
k: "Reconcile"

Reconciled

ConfigureCloudflaredTunnel { k }
k: "ConfigureCloudflaredTunnel"

Configured Cloudflared tunnel

n: number

Sequence number, used to order events with the same timestamp

t: number

Time the Event was recorded (seconds since the Unix epoch)

v?: string

Version

Get Event

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const event = await client.magicTransit.connectors.events.get('connector_id', 0, 0, {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(event.e);
{
  "result": {
    "e": {
      "k": "Init"
    },
    "n": 0,
    "t": 0,
    "v": "v"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "e": {
      "k": "Init"
    },
    "n": 0,
    "t": 0,
    "v": "v"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}